Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05864 Crash/Freeze Critical (emulator) Always Mar 5, 2015, 17:38 Oct 19, 2016, 02:47
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Linux
Status [?] Resolved Driver naomi.cpp
Version 0.159 Fixed in Version Build Debug
Summary 05864: ggisuka, salmankt: Segmentation fault
Description
==1327==ERROR: AddressSanitizer: SEGV on unknown address 0x7f267e5f4800 (pc 0x000005e0229c bp 0x7fff59698fb0 sp 0x7fff59698ec0 T0)
    #0 0x5e0229b in sh34_base_device::sh4_dma_ddt(sh4_ddt_dma*) /home/notroot/trunk/src/emu/cpu/sh4/sh4dmac.c:557:6
    #1 0x3b4764f in dc_state::generic_dma(unsigned int, void*, unsigned int, unsigned int, bool) /home/notroot/trunk/src/mame/machine/dc.c:91:2
    #2 0x3b7f7c7 in delegate_base<void, unsigned int, void*, unsigned int, unsigned int, bool, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam>::operator()(unsigned int, void*, unsigned int, unsigned int, bool) const /home/notroot/trunk/src/lib/util/delegate.h:654:100
    #3 0x3b7f7c7 in naomi_g1_device::dma(void*, unsigned int, unsigned int, bool) /home/notroot/trunk/src/mame/machine/naomig1.c:233
    #4 0x3b7f7c7 in naomi_g1_device::sb_gdst_w(address_space&, unsigned int, unsigned int, unsigned int) /home/notroot/trunk/src/mame/machine/naomig1.c:141
    #5 0x808f962 in delegate_base<void, address_space&, unsigned int, unsigned int, unsigned int, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam>::operator()(address_space&, unsigned int, unsigned int, unsigned int) const /home/notroot/trunk/src/lib/util/delegate.h:653:88
    #6 0x808f962 in handler_entry_write::write_stub_64(address_space&, unsigned int, unsigned long long, unsigned long long) /home/notroot/trunk/src/emu/memory.c:4939
    #7 0x80a554d in delegate_base<void, address_space&, unsigned int, unsigned long long, unsigned long long, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam, _noparam>::operator()(address_space&, unsigned int, unsigned long long, unsigned long long) const /home/notroot/trunk/src/lib/util/delegate.h:653:88
    #8 0x80a554d in handler_entry_write::write64(address_space&, unsigned int, unsigned long long, unsigned long long) const /home/notroot/trunk/src/emu/memory.c:423
    #9 0x80a554d in address_space_specific<unsigned long long, (endianness_t)0, true>::write_native(unsigned int, unsigned long long, unsigned long long) /home/notroot/trunk/src/emu/memory.c:1123
    #10 0x80a4dd5 in void address_space_specific<unsigned long long, (endianness_t)0, true>::write_direct<unsigned int, true>(unsigned int, unsigned int, unsigned int) /home/notroot/trunk/src/emu/memory.c:1295:12
    #11 0x80a4dd5 in address_space_specific<unsigned long long, (endianness_t)0, true>::write_dword(unsigned int, unsigned int) /home/notroot/trunk/src/emu/memory.c:1431
    #12 0x5dcbcad in sh34_base_device::WL(unsigned int, unsigned int) /home/notroot/trunk/src/emu/cpu/sh4/sh4.c:281:3
    #13 0x5dcbcad in sh34_base_device::MOVLS(unsigned short) /home/notroot/trunk/src/emu/cpu/sh4/sh4.c:1189
    #14 0x5dcbcad in sh34_base_device::execute_one(unsigned short) /home/notroot/trunk/src/emu/cpu/sh4/sh4.c:3657
    #15 0x5dbf31c in sh34_base_device::execute_run() /home/notroot/trunk/src/emu/cpu/sh4/sh4.c:3855:4
    #16 0x5dbf67f in non-virtual thunk to sh34_base_device::execute_run() /home/notroot/trunk/src/emu/cpu/sh4/sh4.c:3865:1
    #17 0x813206a in device_execute_interface::run() /home/notroot/trunk/src/emu/diexec.h:191:15
    #18 0x813206a in device_scheduler::timeslice() /home/notroot/trunk/src/emu/schedule.c:476
    #19 0x804fe48 in running_machine::run(bool) /home/notroot/trunk/src/emu/machine.c:397:5
    #20 0x8047ee6 in machine_manager::execute() /home/notroot/trunk/src/emu/mame.c:222:11
    #21 0x7e79dbc in cli_frontend::execute(int, char**) /home/notroot/trunk/src/emu/clifront.c:220:15
    #22 0x575d9bb in main /home/notroot/trunk/src/osd/sdl/sdlmain.c:322:9
    #23 0x7f2683388ec4 in __libc_start_main /build/buildd/eglibc-2.19/csu/libc-start.c:287
    #24 0x116cdfc in _start (/home/notroot/trunk/mame64d+0x116cdfc)
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems ggisuka, salmankt
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13123
MetalliC
Developer
Sep 6, 2016, 14:06
is this still actual ? doesn't have this issue on windows
User avatar
No.13138
B2K24
Moderator
Sep 12, 2016, 17:33
It seems to not crash anymore. Marking Resolved.